FlatSolid Class

class NXOpen.Features.FlatSolid

Bases: NXOpen.Features.Feature

Represents a Flat Solid feature

To create or edit an instance of this class, use NXOpen.Features.SheetMetal.FlatSolidBuilder

New in version NX5.0.0.

Properties

Property Description
AlgorithmVersion Returns the algorithm version of the feature
ContainerFeature Returns the container feature for this feature.
FeatureType Returns the feature type
IsContainedFeature Returns true if the feature is a contained feature.
IsInternal Returns true if the feature is internal.
IsOccurrence Returns whether this object is an occurrence or not.
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
Location Returns the location of the feature
Name Returns the custom name of the object.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
Prototype Returns the prototype of this object if it is an occurrence.
Suppressed Returns the suppression status of the feature
Tag Returns the Tag for this object.
Timestamp Returns the timestamp of the feature

Methods

Method Description
BreakWaveLink Break Wave Link Feature
ChangeBooleanType Change Boolean Type
CreateAttributeIterator Create an attribute iterator
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteClueAlerts Delete all clue alerts from the features
DeleteHintAlerts Delete all clue alerts from the features
DeleteInformationalAlerts Delete all informational alerts from the features
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes on the object, if any, that satisfy the given iterator
DeleteWarningAlerts Delete all warning alerts from the features
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
GetAllChildren Returns all immediate child features.
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetChildren Returns the immediate child features.
GetComponentTransformation Returns a 4x4 transformation matrix for the given PCB component or restriction area on the flat solid.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetEntities Returns the entities created by the feature.
GetEntityOnFlat Returns face or edge on flat solid body corresponding to face or edge on formed body.
GetExpressions Returns the expressions created by the feature.
GetFaceTransformation Returns a 4x4 transformation matrix for the given SM planar face on flat solid body.
GetFeatureClueHintMessages Returns both clue and hint messages of the feature.
GetFeatureClueMessages Returns the feature clue messages.
GetFeatureColor The feature color
GetFeatureErrorMessages Returns the feature error messages.
GetFeatureHintMessages Returns the feature hint messages.
GetFeatureInformationalMessages Returns the feature informational messages.
GetFeatureName Returns the displayed name of the feature.
GetFeatureWarningMessages Returns the feature warning messages.
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetNextUserAttribute Gets the next attribute encountered on the object, if any, that satisfies the given iterator.
GetParents Returns the immediate parent features.
GetPdmReferenceAttributeValue Gets the value of PDM Reference attribute for given object.
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetSections Queries a feature for list of its sections.
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetToolMarkers Returns an array of all the tool marker points assocated with the flat solid.
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, that satisfy the given iterator.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
HasUserAttribute Determines if an attribute exists on the object, that satisfies the given iterator
HideBody Hide the body created by the feature
HideParents Hide the body created by the parent feature
Highlight Highlight the body created by the feature
LogDiagnostic Log a diagnostic alert for this feature
MakeCurrentFeature Make current feature
MakeSketchExternal Make the parent sketch external for reuse by other features.
MakeSketchInternal Make the parent sketch internal if referenced only by this feature.
MapFlattenedGeomToInputGeom Returns PCB component or restriction area or additional geometry for the given component or curve on flat solid.
MapInputGeomToFlattenedGeom Returns output component or array of curves on flat solid for the given PCB component or restriction area or additional geometry.
Print Prints a representation of this object to the system log file.
RemoveForEdit Remove all the feature faces before a NoHistory mode edit.
RemoveParameters Remove Local feature parameters in history free mode.
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetGroupActive Set a feature group as active group.
SetName Sets the custom name of the object.
SetPdmReferenceAttribute Sets the value of PDM Reference attribute on the object.
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.
ShowBody Show the body created by the feature.
ShowDimensions Show all feature dimensions of a feature.
ShowParents Show the body created by the parent feature.
Suppress Suppress the feature
Unhighlight Unhighlight the body created by the feature
Unsuppress Unsuppress the feature

Structs

FlatSolidObjectDataCsys_Struct Struct Structure used to return the objects of a flat solid.

Property Detail

IsOccurrence

FlatSolid.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

JournalIdentifier

FlatSolid.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

Name

FlatSolid.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

OwningComponent

FlatSolid.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

FlatSolid.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Prototype

FlatSolid.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

Method Detail

FindObject

FlatSolid.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

GetComponentTransformation

FlatSolid.GetComponentTransformation

Returns a 4x4 transformation matrix for the given PCB component or restriction area on the flat solid.

The matrix will be in parasolid format.

Signature GetComponentTransformation(component)

Parameters:component (NXOpen.TaggedObject) – NXOpen object representing PCB component or restriction area
Returns:a 4x4 transformation matrix.
Return type:NXOpen.ScalarMatrixValue

New in version NX10.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetEntityOnFlat

FlatSolid.GetEntityOnFlat

Returns face or edge on flat solid body corresponding to face or edge on formed body.

The output of this API may be inconsistent or unsuitable in case of split or consumed entities.

Signature GetEntityOnFlat(entity)

Parameters:entity (NXOpen.TaggedObject) – NXOpen object representing face or edge on the formed body
Returns:NXOpen object representing corresponding face or edge on flat body
Return type:NXOpen.TaggedObject

New in version NX10.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

GetFaceTransformation

FlatSolid.GetFaceTransformation

Returns a 4x4 transformation matrix for the given SM planar face on flat solid body.

The matrix will be in parasolid format. The output of this API may be inconsistent or unsuitable if for non-planar or deform face is given as input.

Signature GetFaceTransformation(face)

Parameters:face (NXOpen.TaggedObject) – NXOpen object representing face on flat body
Returns:a 4x4 transformation matrix.
Return type:NXOpen.ScalarMatrixValue

New in version NX10.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetToolMarkers

FlatSolid.GetToolMarkers

Returns an array of all the tool marker points assocated with the flat solid.

The flat_solid_object is the CSYS associated with the flat solid. The formed_body_object is the datum CSYS feature that is on the formed body.

Signature GetToolMarkers()

Returns:Array of structures reporting associated object data for tool markers
Return type:list of NXOpen.Features.FlatSolidObjectDataCsys_Struct

New in version NX6.0.3.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

MapFlattenedGeomToInputGeom

FlatSolid.MapFlattenedGeomToInputGeom

Returns PCB component or restriction area or additional geometry for the given component or curve on flat solid.

Signature MapFlattenedGeomToInputGeom(flatGeom)

Parameters:flatGeom (NXOpen.TaggedObject) – NXOpen object representing PCB component or restriction area or additional geometry on flat solid
Returns:Corresponding NXOpen object for input PCB component or restriction area or additional geometry
Return type:NXOpen.TaggedObject

New in version NX10.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

MapInputGeomToFlattenedGeom

FlatSolid.MapInputGeomToFlattenedGeom

Returns output component or array of curves on flat solid for the given PCB component or restriction area or additional geometry.

Signature MapInputGeomToFlattenedGeom(input)

Parameters:input (NXOpen.TaggedObject) – NXOpen object representing input PCB component or restriction area or additional geometry
Returns:Corresponding array of curves or component on flat solid
Return type:list of NXOpen.TaggedObject

New in version NX10.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

Print

FlatSolid.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

SetName

FlatSolid.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.